---
title: "Get webhook event details"
description: "Get detailed information about a specific webhook event including request/response headers, payload, and delivery attempts."
protocol: rest
method: GET
endpoint: "/v1/webhooks/event/{id}"
baseUrl: "https://api.gravv.xyz"
group: "Webhooks"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get webhook event details

<Endpoint method="GET" path="/v1/webhooks/event/{id}" />

Get detailed information about a specific webhook event including
request/response headers, payload, and delivery attempts.

## Path Parameters

<ParamField name="id" path="id" type="string" required>
  UUID of the webhook event
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Successfully retrieved webhook event details |

### 200 response

<ResponseField name="id" type="string">
  Unique identifier of the webhook event
</ResponseField>

<ResponseField name="event_id" type="string">
  External event identifier
</ResponseField>

<ResponseField name="event_type" type="string">
  Full event type string (e.g. transfer.status.completed)
</ResponseField>

<ResponseField name="status" type="string">
  Status of the webhook event delivery

  Possible values: `pending`, `processing`, `sent`, `failed`, `retrying`
</ResponseField>

<ResponseField name="path" type="string">
  URL path for webhook delivery
</ResponseField>

<ResponseField name="http_method" type="string">
  HTTP method used for delivery

  Possible values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`
</ResponseField>

<ResponseField name="request_headers" type="object">
  HTTP headers sent with the webhook request
</ResponseField>

<ResponseField name="payload" type="object">
  The webhook payload data
</ResponseField>

<ResponseField name="response_headers" type="object">
  HTTP headers received in the response
</ResponseField>

<ResponseField name="response_status_code" type="integer">
  HTTP response status code
</ResponseField>

<ResponseField name="response_body" type="object">
  Response body from the webhook endpoint
</ResponseField>

<ResponseField name="attempts" type="integer">
  Number of delivery attempts made
</ResponseField>

<ResponseField name="max_retries" type="integer" default="3">
  Maximum number of retry attempts allowed
</ResponseField>

<ResponseField name="last_attempt" type="string">
  Timestamp of the last delivery attempt
</ResponseField>

<ResponseField name="next_attempt" type="string">
  Scheduled time for the next delivery attempt
</ResponseField>

<ResponseField name="created_at" type="string">
  When the event was created
</ResponseField>

<ResponseField name="updated_at" type="string">
  When the event was last updated
</ResponseField>

## Authorization

- **ApiKeyAuth**
